Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libsndfile
Version:	1.0.17
Release:	2
Provides:	%{name} libsndfile.so.1(libsndfile.so.1.0)
License:	GNU/LGPL 
URL:		http://www.mega-nerd.com/libsndfile/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		libsndfile-1.0.17-flac-1.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A library for reading and writing sound files.
Requires:	sqlite
BuildRequires:	sqlite-devel
BuildRequires:  flac-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel


%description
Libsndfile is a C library for reading and writing files
containing sampled sound through one standard
library interface. It is released in source code format
under the Gnu Lesser General Public License.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- rebuilt against flac 1.2.1 
* Fri Sep 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.17-1
- Version Update
* Sat Apr 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-2
- Added provides (for k3b)
- Added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.15-1
- Version Update
* Sun Jan 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-1
- Version Update
* Sun Oct 02 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.12-1
- Update to Version 0.12
